﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;

namespace filter_core.Models
{
    public class OrdersDetails
    {
        public static List<OrdersDetails> order = new List<OrdersDetails>();
        public OrdersDetails()
        {
        }
        public OrdersDetails(int OrderID, int EmployeeId, double Freight, DateTime OrderDate, string ShipCountry, string Code, bool BooleanField)
        {
            this.OrderID = OrderID;
            this.EmployeeID = EmployeeId;
            this.Freight = Freight;
            this.OrderDate = OrderDate;
            this.ShipCountry = ShipCountry;
            this.Code = Code;
            this.BooleanField = BooleanField;
        }
        public static List<OrdersDetails> GetAllRecords()
        {
            if (order.Count() == 0)
            {
                int code = 1;
                for (int i = 1; i < 5; i++)
                {
                    string path = Path.GetRandomFileName();
                    path = path.Replace(".", ""); // Remove period.dwa
                    var randomChar = path.Substring(0, 4);  // Return 4 character string
                    order.Add(new OrdersDetails(code + 1, i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Denmark", "Den_" + randomChar, true));
                    order.Add(new OrdersDetails(code + 2, i + 1, 3.3 * i, new DateTime(1990, 04, 04), "USA", "Bzl_" + randomChar, false));
                    order.Add(new OrdersDetails(code + 3, i + 2, 4.3 * i, new DateTime(1957, 11, 30), "Brail", "Gmn_" + randomChar, true));
                    order.Add(new OrdersDetails(code + 4, i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Austria", "Ast_" + randomChar, true));
                    order.Add(new OrdersDetails(code + 5, i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Switzerland", "Swd_" + randomChar, false));
                    code += 5;
                }
            }
            return order;
        }
        public int? OrderID { get; set; }
        public int? EmployeeID { get; set; }
        public double? Freight { get; set; }
        public DateTime? OrderDate { get; set; }
        public string ShipCountry { get; set; }
        public string Code { get; set; }
        public bool? BooleanField { get; set; }
    }
}
